## balsa 2.6.4

=== meson_options.txt ===
option('gnome-desktop',
  type        : 'boolean',
  value       : true,
  description : 'Set GNOME desktop category (default=true)')

option('flock',
  type        : 'boolean',
  value       : false,
  description : 'Use flock() to lock files (default=false)')

option('fcntl',
  type        : 'boolean',
  value       : true,
  description : 'Use fcntl() to lock files (default=true)')

option('autocrypt',
  type        : 'boolean',
  value       : false,
  description : 'build with Autocrypt support (see https://autocrypt.org/), (default=false), requires sqlite3')

option('systray',
  type        : 'boolean',
  value       : false,
  description : 'enable System Tray Icon support, (default=false), requires libxapp')

option('canberra',
  type        : 'boolean',
  value       : false,
  description : 'Use libcanberra-gtk3 for filter sounds (default=false)')

option('compface',
  type        : 'string',
  value       : 'false',
  description : 'Enable Compface (true|false|path to compface installation, default=false)')

option('gss',
  type        : 'boolean',
  value       : false,
  description : 'Enable GSS (default=false)')

option('html-widget',
  type        : 'combo',
  choices     : ['webkit2', 'no'],
  value       : 'webkit2',
  description : 'select the HTML renderer (default webkit2)')

option('gtksourceview',
  type        : 'boolean',
  value       : false,
  description : 'Use GtkSourceView-3 if available (default=false)')

option('spell-checker',
  type        : 'combo',
  choices     : ['internal', 'gspell', 'gtkspell'],
  value       : 'internal',
  description : 'select the spell checker (default internal)')

option('ldap',
  type        : 'string',
  value       : 'false',
  description : 'Use OpenLDAP if available (true|false|path to LDAP installation, default=false)')

option('macosx-desktop',
  type        : 'boolean',
  value       : false,
  description : 'Use Mac OS X Desktop Integration (default=false, extremely experimental)')

option('rubrica',
  type        : 'boolean',
  value       : false,
  description : 'add Rubrica2 address book support (needs libxml2, default=false)')

option('osmo',
  type        : 'boolean',
  value       : false,
  description : 'add Osmo address book support (experimental, needs osmo > svn rev. 1099, default=false)')

option('sqlite',
  type        : 'string',
  value       : 'false',
  description : 'Use SQLite for GPE address books (true|false|path to SQLite installation, default=false)')

option('libsecret',
  type        : 'boolean',
  value       : true,
  description : 'Link to libsecret (default=true)')

option('gcr',
  type        : 'boolean',
  value       : false,
  description : 'Use libgcr-3 for dealing with TLS certificates (experimental, default=false)')

option('more-warnings',
  type        : 'boolean',
  value       : true,
  description : 'Enable maximum compiler warnings (default=true)')

option('help-files',
  type        : 'boolean',
  value       : false,
  description : 'Install the help files (default=false)')

option('libnetclient-docs',
  type        : 'boolean',
  value       : false,
  description : 'Check requirements for building the libnetclient API docs (see libnetclient/README; default=false)')

option('libnetclient-test',
  type        : 'boolean',
  value       : false,
  description : 'Check requirements for running libnetclient tests (see libnetclient/README; default=false)')

=== debian/changelog ===
balsa (2.6.4-4build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:24 +0200

balsa (2.6.4-4) unstable; urgency=medium

  * autopkgtest: increase sleep timeout since riscv64 is slow

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 08:17:51 -0400

balsa (2.6.4-3) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 14:42:27 -0500

balsa (2.6.4-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Build with meson
  * Enable systray feature using libxapp
  * Add patch to fix directory used by gtk-update-icon-cache
  * Cherry-pick patch to support webkitgtk 4.1
  * debian/control.in: Build with webkit2gtk 4.1 instead of 4.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 09:03:43 -0500

balsa (2.6.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libsqlite3-dev to 3.24.0
  * Install new private library
  * debian/docs: README -> README.md
  * Refresh patch
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 13:49:01 -0500

=== debian/control ===
Source: balsa
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alan Baghumian <alan@technotux.org>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               itstool,
               libcanberra-gtk3-dev,
               libcompfaceg1-dev,
               libesmtp-dev,
               libglib2.0-dev (>= 2.40.0),
               libgmime-3.0-dev (>= 3.2.6),
               libgnutls28-dev,
               libgpgme-dev,
               libgspell-1-dev,
               libgtk-3-dev (>= 3.24.0),
               libgtksourceview-4-dev,
               libical-dev,
               libkrb5-dev,
               libldap2-dev,
               libnotify-dev,
               libsecret-1-dev,
               libsqlite3-dev (>= 3.24.0),
               libssl-dev (>= 1.1.0),
               libwebkit2gtk-4.1-dev,
               libxapp-dev,
               libxml2-dev,
               meson (>= 0.50.0),
               pkgconf,
               python3-html2text,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/balsa
Vcs-Git: https://salsa.debian.org/gnome-team/balsa.git
Homepage: https://pawsa.fedorapeople.org/balsa/
Rules-Requires-Root: no

Package: balsa
Architecture: any
Provides: imap-client, mail-reader
Depends: balsa-data (= ${source:Version}),
         pinentry-gnome3 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ca-certificates, gpgsm, python3-html2text, yelp
Description: e-mail client for GNOME
 Balsa is a highly configurable and robust mail client for the GNOME desktop.
 It supports both POP3 and IMAP servers as well as the mbox, maildir and mh
 local mailbox formats. Balsa also supports SMTP and/or the use of a local MTA
 such as Sendmail.
 .
 Some of Balsa's other features include:
   * Allowing nested mailboxes
   * Printing
   * Spell Checking
   * Multi-threaded mail retrieval
   * MIME support (view images inline, save parts)
   * GPE Palmtop, LDAP, LDIF and vCard address book support
   * Multiple character sets for composing and reading messages
   * File attachments on outgoing messages
   * GPG/OpenPGP mail signing and encryption
 .
 Support for Kerberos and SSL has been enabled in this package.

Package: balsa-data
Architecture: all
Depends: ${misc:Depends}
Replaces: balsa (<< 2.6.2-1)
Breaks: balsa (<< 2.6.2-1)
Description: e-mail client for GNOME -- data files
 Balsa is a highly configurable and robust mail client for the GNOME desktop.
 It supports both POP3 and IMAP servers as well as the mbox, maildir and mh
 local mailbox formats. Balsa also supports SMTP and/or the use of a local MTA
 such as Sendmail.
 .
 This package includes documentation, icons, localizations, and other
 architecture-independent data files for Balsa.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson --without autoreconf

# Compile options
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dautocrypt=true \
		-Dcanberra=true \
		-Dcompface=true \
		-Dgss=true \
		-Dgtksourceview=true \
		-Dhelp-files=true \
		-Dldap=true \
		-Drubrica=true \
		-Dspell-checker=gspell \
		-Dsqlite=true \
		-Dsystray=true

## balsa 2.6.5

=== meson_options.txt ===
--- 
+++ 
@@ -60,30 +60,25 @@
   value       : 'false',
   description : 'Use OpenLDAP if available (true|false|path to LDAP installation, default=false)')
 
-option('macosx-desktop',
-  type        : 'boolean',
-  value       : false,
-  description : 'Use Mac OS X Desktop Integration (default=false, extremely experimental)')
-
-option('rubrica',
-  type        : 'boolean',
-  value       : false,
-  description : 'add Rubrica2 address book support (needs libxml2, default=false)')
-
 option('osmo',
   type        : 'boolean',
   value       : false,
   description : 'add Osmo address book support (experimental, needs osmo > svn rev. 1099, default=false)')
 
-option('sqlite',
-  type        : 'string',
-  value       : 'false',
-  description : 'Use SQLite for GPE address books (true|false|path to SQLite installation, default=false)')
+option('gpe',
+  type        : 'boolean',
+  value       : false,
+  description : 'Add support for GPE address books (requires sqlite3, default=false)')
 
 option('libsecret',
   type        : 'boolean',
   value       : true,
   description : 'Link to libsecret (default=true)')
+
+option('webdav',
+  type        : 'boolean',
+  value       : false,
+  description : 'add WebDAV support: CardDAV address book (requires libsoup and libxml2, default=false)')
 
 option('gcr',
   type        : 'boolean',
@@ -109,3 +104,8 @@
   type        : 'boolean',
   value       : false,
   description : 'Check requirements for running libnetclient tests (see libnetclient/README; default=false)')
+
+option('nls',
+  type        : 'boolean',
+  value       : true,
+  description : 'use Native Language Support (default=true)')

=== debian/changelog ===
balsa (2.6.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1094887)
  * autopkgtest: update for user config move from .balsa to .config/balsa
  * Remove all patches: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 15:20:42 -0400

balsa (2.6.4-5) unstable; urgency=medium

  * Cherry-pick patch to fix build with gcc-15 (Closes: #1114058)
  * debian/gbp.conf: stop filtering upstream tarball, no longer needed
  * debian/watch: Convert to Version: 5 and update download location
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 14:41:54 -0400

=== debian/control ===
--- 
+++ 
@@ -30,11 +30,10 @@
                python3-html2text,
                yelp-tools,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/balsa
 Vcs-Git: https://salsa.debian.org/gnome-team/balsa.git
 Homepage: https://pawsa.fedorapeople.org/balsa/
-Rules-Requires-Root: no
 
 Package: balsa
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,10 @@
 		-Dautocrypt=true \
 		-Dcanberra=true \
 		-Dcompface=true \
+		-Dgpe=true \
 		-Dgss=true \
 		-Dgtksourceview=true \
 		-Dhelp-files=true \
 		-Dldap=true \
-		-Drubrica=true \
 		-Dspell-checker=gspell \
-		-Dsqlite=true \
 		-Dsystray=true

=== debian/tests/control ===
Tests: version
Depends: balsa, xauth, xvfb

Tests: screenshot
Depends: balsa, graphicsmagick, psmisc, x11-apps, xauth, xvfb
Restrictions:
 allow-stderr,
